CKEDITOR.plugins.add( 'imgl',
{
	init: function( editor )
	{
		editor.addCommand( 'imglCommand', new CKEDITOR.dialogCommand( 'imglDialog' ) );
		editor.ui.addButton( 'imgl',
			{
				label: 'إدراج صورة ومحاذاتها يسار النص',
				command: 'imglCommand',
				icon: this.path + 'imgl.gif'
			}
		);
		// dialog
		CKEDITOR.dialog.add( 'imglDialog', function( editor )
		{
			return {
				title : 'إدراج صورة ومحاذاتها يسار النص',
				width : 400,
				height : 'auto',
				contents :
				[
					{
						id : 'imgl',
						label : 'imgl',
						elements :
						[
							{
								type : 'text',
								id : 'url',
								label : 'رابط الصورة',
				     				validate: CKEDITOR.dialog.validate.regex(/(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/, 'برجاء ادخال رابط صحيح'),
								required : true,
								commit : function( me )
								{
									me.url = this.getValue();
								}
							}
						]
					}
				],
				onOk : function()
				{
					me = {},
					this.commitContent( me );
					editor.insertHtml('[imgl]' + me.url + '[/imgl]');
				}
			};
		});
	}
});